import React from 'react';
import { connect } from 'umi';
import AuditInformationComponent from '../../../components/AuditInformation/AuditInformation';

function ProductReport({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }

  const auditInformationProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <AuditInformationComponent {...auditInformationProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProductReport);
